sensors::NumericSensor_4_0_3::Thresholds Struct Reference

Numeric sensor thresholds. More...

`import"NumericSensor.idl";`

## Public Attributes

boolean | upperCriticalActive
| `true` if the upper critical threshold is enabled
double | upperCritical
| Upper critical threshold.
boolean | upperWarningActive
| `true` if the upper warning threshold is enabled
double | upperWarning
| Upper warning threshold.
boolean | lowerWarningActive
| `true` if the lower warning threshold is enabled
double | lowerWarning
| Lower warning threshold.
boolean | lowerCriticalActive
| `true` if the lower critical threshold is enabled
double | lowerCritical
| Lower critical threshold.
int | assertionTimeout
| Assertion timeout in samples.
float | deassertionHysteresis
| Deassertion hysteresis.

## Detailed Description

Numeric sensor thresholds.

The documentation for this struct was generated from the following file:

- pdu-json-rpc-api/idl/NumericSensor.idl